---@meta

---@class ABP_Interactable_TruckFlipper_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field BP_PrevisActorComponent UBP_PrevisActorComponent_C
---@field SM_TruckFlipper_Flipper UStaticMeshComponent
---@field FlipIt UStaticMeshComponent
---@field FlipImpulseLocation USceneComponent
---@field Box UBoxComponent
---@field OverlappingActors TArray<AActor>
---@field FlippedTruck boolean
---@field Timer FTimerHandle
---@field Increment double
---@field Elevation double
---@field ActivateElevatorEffects boolean
---@field ReclineTimer FTimerHandle
---@field StartFlip boolean
---@field ['Placement Hit'] FHitResult
---@field ['Not Allowed to Place on Actors'] TArray<TSubclassOf<AActor>>
---@field PlacementTransform FTransform
local ABP_Interactable_TruckFlipper_C = {}

---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_Interactable_TruckFlipper_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@return boolean
function ABP_Interactable_TruckFlipper_C:AllowWinchAttach() end
function ABP_Interactable_TruckFlipper_C:OnRep_PlacementTransform() end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_Interactable_TruckFlipper_C:TryToPickupThisActor(PlayerCharacter, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HoldTime double
---@param Success boolean
function ABP_Interactable_TruckFlipper_C:TryToDropThisActor(PlayerCharacter, HoldTime, Success) end
ABP_Interactable_TruckFlipper_C['OnRep_Placement Hit'] = function(self, ) end
---@param PlacementTransform FTransform
---@param Success boolean
function ABP_Interactable_TruckFlipper_C:PlaceActor(PlacementTransform, Success) end
---@param Surface EPhysicalSurface
---@param ImpactLocation FVector
function ABP_Interactable_TruckFlipper_C:PlaySoundAtImpact(Surface, ImpactLocation) end
function ABP_Interactable_TruckFlipper_C:OnRep_StartFlip() end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractions TMap<FName, UInputAction>
function ABP_Interactable_TruckFlipper_C:GetLookAtPlayerInteractions(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractions) end
---@param Success boolean
function ABP_Interactable_TruckFlipper_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
function ABP_Interactable_TruckFlipper_C:SetPickedUpPhysicsState(Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Interactable_TruckFlipper_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param Success boolean
function ABP_Interactable_TruckFlipper_C:ShouldUseHoldTransform(Success) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_TruckFlipper_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_TruckFlipper_C:InpActEvt_IA_RotatePlacement_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
function ABP_Interactable_TruckFlipper_C:ReceiveBeginPlay() end
---@param DeltaSeconds float
function ABP_Interactable_TruckFlipper_C:ReceiveTick(DeltaSeconds) end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
---@param bFromSweep boolean
---@param SweepResult FHitResult
function ABP_Interactable_TruckFlipper_C:BndEvt__BP_Interactable_TruckFlipper_Box_K2Node_ComponentBoundEvent_0_ComponentBeginOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex, bFromSweep, SweepResult) end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
function ABP_Interactable_TruckFlipper_C:BndEvt__BP_Interactable_TruckFlipper_Box_K2Node_ComponentBoundEvent_1_ComponentEndOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex) end
function ABP_Interactable_TruckFlipper_C:FlipItRealGood() end
function ABP_Interactable_TruckFlipper_C:Recline() end
---@param Flip boolean
function ABP_Interactable_TruckFlipper_C:MultiCast_SetTruckFlipperFlip(Flip) end
---@param EntryPoint int32
function ABP_Interactable_TruckFlipper_C:ExecuteUbergraph_BP_Interactable_TruckFlipper(EntryPoint) end


